require "spec_helper"
require "highrise"
require "time"

describe RdDevTest do

  before :all do
    site = 'https://school872.highrisehq.com'
    user = 'a6160d76a39e0c65af470cbd53c1dc3e'
    RdDevTest::Config.setup_highrise(site,user)
  end

  describe RdDevTest::Person, "#all_person" do
    it "return all persons" do
      list = RdDevTest::Person.all_person

      list.should be
    end
  end

  describe RdDevTest::Person, "#delete_person_highrise" do
    it "delete the person successfully" do
      person = Highrise::Person.new
      person.name = "Test Delete #{Time.now}"
      person.save

      RdDevTest::Person.delete_person_highrise(person.id).should be_a_kind_of(Net::HTTPOK)
    end
  end

  describe RdDevTest::Person, "#save_higrise" do
    it "create person successfully" do
      pessoa = {
        :first_name => "Test #{Time.now}", 
        :last_name => "Rspec",
        :company_name => "Company Jean", 
        :title => "Developer",
        :contact_data => {
          :email_addresses => [
            :email_address => {:address => "test@test.com"}
          ],
          :phone_numbers => [
            :phone_number => {:number => "555-555-5555", :location => "Work"}
          ],
          :web_addresses => [
            :web_address => {:url => "about.me", :location => "Work"}
          ]
        }
      }
      rt = RdDevTest::Person.save_higrise(pessoa)
      rt.should be_a_kind_of(Fixnum)
    end
  end

end